<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:security="http://www.springframework.org/security/tags"
      xmlns:p="http://primefaces.org/ui">


<style type="text/css">
    .ui-row-editor .ui-row-editor-pencil {
        margin-left:8px;
    }
</style>

<h:head>
    <title>Task-manager</title>
    <meta http-equiv="Content-Type"	content="application/xhtml+xml; charset=UTF-8" />

</h:head>



<h:body>

    <c:choose>
        <c:when test="${dtUserAddRowView.authUser == null}">
            <p:button value="sign in" outcome="/customLogin" />
        </c:when>
        <c:otherwise>
            <form action="${request.contextPath}/appLogout" method="POST">
                <input type="submit" value="Logout"/>
                <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
            </form>
            <h5>Username : ${dtUserAddRowView.authUser} <br/></h5>>
        </c:otherwise>
    </c:choose>


    <h1 style="margin-top:1">*** WELCOME TO TASK MANAGER! ***</h1>
    <h:form>
        <p:growl id="growl" life="2000" />

        <!--<p:commandButton value="Projects" id="projects" action="projects" style="margin-right:20px;" ajax="false" icon="pi pi-folder-open" />-->
        <!--<p:commandButton value="Tasks" id="tasks" action="tasks" style="margin-right:20px;" ajax="false" icon="pi pi-file" />-->
        <p:button value="Go to Projects page" outcome="/secure/projects/projects"  style="margin-right:20px;" ajax="false" icon="pi pi-folder-open"/>
        <p:button value="Go to Task page" outcome="/secure/tasks/tasks"  style="margin-right:20px;" ajax="false" icon="pi pi-file"/>

        <security:authorize access="hasRole('ROLE_ADMINISTRATOR')">
            <p:button value="Go to User page" outcome="/secure/users/users"  style="margin-right:20px;" ajax="false" icon="pi pi-user"/>
            <br/>
        </security:authorize>

    </h:form>



</h:body>
</html>